wood burning stoves 2.0*
The moose likes IDEs, Version Control and other tools and the fly likes Maven Integration for Eclipse JDK warning Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of Murach's Java Servlets and JSP this week in the Servlets forum!
JavaRanch » Java Forums » Engineering » IDEs, Version Control and other tools
Bookmark "Maven Integration for Eclipse JDK warning" Watch "Maven Integration for Eclipse JDK warning" New topic
Author

Maven Integration for Eclipse JDK warning

Mohammed Uddin
Ranch Hand

Joined: Mar 04, 2012
Posts: 31
Hi,

Recently I have installed the Maven Integration Plugin but when running Eclipse I get the following error:



Under Window > Preferences > Java > Installed JREs > I have my JDK installed and selected.

My elipse.ini file:


From what I can see, I have my JDK installed and selected and have made the change in my eclipse.ini file but the error message still persists.

Any thoughts on how I can fix this.

Thanks in advance.
MoSha
Tim Holloway
Saloon Keeper

Joined: Jun 25, 2001
Posts: 15952
    
  19

Use our Search feature to scan this archive. You are, unfortunately, not the first person to be annoyed by this message. I've been bitten as well.


Customer surveys are for companies who didn't pay proper attention to begin with.
Mohammed Uddin
Ranch Hand

Joined: Mar 04, 2012
Posts: 31
Hi,

Thanks for the reply.

I used the search feature and found some solutions but none of them worked for me. .

Can anyone perhaps suggest some other possible solutions.

My eclipse.ini as it currently stands:


I have tried to use the following as well:
-vm
C:/Java/jdk1.7.0_07/bin

and

-vm
C:/Java/jdk1.7.0_07/bin.javaw.exe

but nothing worked.

Thanks in advance.
Peter Johnson
author
Bartender

Joined: May 14, 2008
Posts: 5812
    
    7

Where did you add those two additional lines? Hopefully not at the end - try p[lacing them before line 17 (-vmargs). Also, I assume that the path you gave is where your JDK is actually installed...

Also, you second try has a typo...

The second line needs to be the full path to either the java executable or the jvm .dll (or .so on linux).

Also see this: http://www.coderanch.com/t/488574/vc/Eclipse-running-JRE-but-JDK#2691915


JBoss In Action
 
Consider Paul's rocket mass heater.
 
subject: Maven Integration for Eclipse JDK warning
 
Similar Threads
Compilation error
error while running Client in Eclipse helios
java JEE perspective problem
Eclipse is running in a JRE, but a JDK is required
jdk and jre